export default class Settings {
    static readonly KEY_PREFIX = "ProveAuth";
    static readonly DEVICE_ID_KEY = "DeviceId";
    static readonly NAMESPACE_KEY = "namespace";
    static readonly FIDO_PASSKEY_REGISTERED_KEY = "fidoPasskeyRegistered";
    static readonly FP_TIMESTAMPT = "fingerPrintTimestamp";
    private readonly log;
    private storage;
    upkEnabled: boolean;
    constructor(storage: Storage);
    reset(): void;
    get deviceId(): string | null;
    set deviceId(val: string | null);
    get fidoPasskeyRegistered(): boolean;
    set fingerPrintTimestamp(val: number | null);
    get fingerPrintTimestamp(): number | null;
    set fidoPasskeyRegistered(val: boolean);
    get namespace(): string | null;
    set namespace(val: string | null);
    private getKey;
    private setOrRemove;
}
